WRITE: Resets the UPS EEPROM variables to default values. READ: returns 0
Sources for this description
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.17420.1.1.2.5.2.12
WRITE: Resets the UPS EEPROM variables to default values. READ: returns 0
Identification
{1 3 6 1 4 1 17420 1 1 2 5 2 12}
| Value | Name |
|---|---|
| 1 | noSetEEPROMDefaults |
| 2 | setEEPROMDefaults |
At least one MIB declaration places this object in a scalar group. A scalar instance uses the suffix .0.
snmpget [connection options] DEVICE .1.3.6.1.4.1.17420.1.1.2.5.2.12.0
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
upsSmartConfigSetEEPROMDefaults OBJECT-TYPE
SYNTAX INTEGER {
noSetEEPROMDefaults(1),
setEEPROMDefaults(2) }
ACCESS read-write
STATUS mandatory
DESCRIPTION
"WRITE: Resets the UPS EEPROM variables to default values.
READ: returns 0"
::= { upsSmartConfig 12 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
WRITE: Resets the UPS EEPROM variables to default values. READ: returns 0
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: upsSmartConfigSetEEPROMDefaults
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"upsSmartConfigSetEEPROMDefaults",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"noSetEEPROMDefaults",
"(",
"1",
")",
",",
"setEEPROMDefaults",
"(",
"2",
")",
"}",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"WRITE: Resets the UPS EEPROM variables to default values. READ: returns 0\"",
"::=",
"{",
"upsSmartConfig",
"12",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"noSetEEPROMDefaults",
1
],
[
"setEEPROMDefaults",
2
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"WRITE: Resets the UPS EEPROM variables to default values. READ: returns 0"
],
null,
null,
null,
null
]
}Vendor MIB copy from the Observium Community archive.
Module: DGPUPS-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.17420.1.1.2.5.2.1 | upsSmartConfigRatedOutputVoltage | 0 | 0 | |
| 1.3.6.1.4.1.17420.1.1.2.5.2.2 | upsSmartConfigHighTransferVolt | 0 | 0 | |
| 1.3.6.1.4.1.17420.1.1.2.5.2.3 | upsSmartConfigLowTransferVolt | 0 | 0 | |
| 1.3.6.1.4.1.17420.1.1.2.5.2.4 | upsSmartConfigAlarm | 0 | 0 | |
| 1.3.6.1.4.1.17420.1.1.2.5.2.5 | upsSmartConfigAlarmTimer | 0 | 0 | |
| 1.3.6.1.4.1.17420.1.1.2.5.2.6 | upsSmartConfigMinReturnCapacity | 0 | 0 | |
| 1.3.6.1.4.1.17420.1.1.2.5.2.7 | upsSmartConfigSensitivity | 0 | 0 | |
| 1.3.6.1.4.1.17420.1.1.2.5.2.8 | upsSmartConfigLowBatteryRunTime | 0 | 0 | |
| 1.3.6.1.4.1.17420.1.1.2.5.2.9 | upsSmartConfigReturnDelay | 0 | 0 | |
| 1.3.6.1.4.1.17420.1.1.2.5.2.10 | upsSmartConfigShutoffDelay | 0 | 0 | |
| 1.3.6.1.4.1.17420.1.1.2.5.2.11 | upsSmartConfigUpsSleepTime | 0 | 0 |